Skip to main content
PUT
/
api
/
v1
/
school
/
class-patterns
/
{id}
Update class pattern
curl --request PUT \
  --url https://test-api.afrainity.com/api/v1/school/class-patterns/{id}/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "patterns": {
    "o_level": [
      {
        "id": 123,
        "name": "<string>"
      }
    ],
    "a_level": [
      {
        "id": 123,
        "name": "<string>"
      }
    ]
  }
}
'
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

A UUID string identifying this class patterns.

Body

Auto-populate created_by from request.user when available.

patterns
object
required

Response

{key}
any